View Issue Details

IDProjectCategoryView StatusLast Update
0003544CentOS-5kernelpublic2009-09-03 20:01
Reporterohw0571 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.3 
Target VersionFixed in Version 
Summary0003544: wlan LED does not work
DescriptionOn my Thinkpad R61, the LED indicating an active wireless LAN connection does not work. I am using the iwlagn driver, but I think the same applies to other WLAN drivers.
To my knowledge, the LED can be enabled simply by setting a kernel configuration parameter. Since the upstream provider has not enabled this feature, I suggest to integrate it into the CentOSPlus kernel.
Thank you in advance!
Tagsfixed in 5.4

Activities

toracat

toracat

2009-04-10 00:53

manager   ~0009155

The request was originally discussed in this forum thread:

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=19556&forum=39

The LED-related options are in Device Drivers -> Network device support -> [driver subdirectories] -> xxx_LEDS

Maybe turned on in the next version of centosplus kernel.

2009-04-12 12:27

 

Intel_wifi_leds.patch (1,131 bytes)
References:

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=19556&forum=39
http://bugs.centos.org/view.php?id=3544

--- config-2.6.18-128.1.6.el5	2009-04-01 14:41:00.000000000 +0100
+++ config-2.6.18-128.1.6.el5.ohw0571	2009-04-11 22:44:30.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Automatically generated make config: don't edit
-# Linux kernel version: 2.6.18-128.1.6.el5
-# Wed Apr  1 09:01:39 2009
+# Linux kernel version: 2.6.18-128.1.6.el5.ohw0571
+# Sat Apr 11 13:10:00 2009
 #
 CONFIG_X86_64=y
 CONFIG_64BIT=y
@@ -1515,18 +1515,18 @@ CONFIG_ATH5K=m
 # CONFIG_ATH5K_DEBUG is not set
 CONFIG_IWLWIFI=m
 CONFIG_IWLCORE=m
-# CONFIG_IWLWIFI_LEDS is not set
+CONFIG_IWLWIFI_LEDS=y
 # CONFIG_IWLWIFI_RFKILL is not set
 # CONFIG_IWLWIFI_DEBUG is not set
 CONFIG_IWLAGN=m
 CONFIG_IWLAGN_SPECTRUM_MEASUREMENT=y
-# CONFIG_IWLAGN_LEDS is not set
+CONFIG_IWLAGN_LEDS=y
 CONFIG_IWL4965=y
 CONFIG_IWL5000=y
 CONFIG_IWL3945=m
 # CONFIG_IWL3945_RFKILL is not set
 CONFIG_IWL3945_SPECTRUM_MEASUREMENT=y
-# CONFIG_IWL3945_LEDS is not set
+CONFIG_IWL3945_LEDS=y
 # CONFIG_IWL3945_DEBUG is not set
 CONFIG_RT2X00=m
 CONFIG_RT2X00_LIB=m
Intel_wifi_leds.patch (1,131 bytes)
AlanBartlett

AlanBartlett

2009-04-12 12:32

reporter   ~0009166

An appropriate testing kernel was built and has been successfully tested by the OP.

The attached file, Intel_wifi_leds.patch, is the difference between the configuration files of the distro kernel and the testing kernel.
toracat

toracat

2009-04-12 14:20

manager   ~0009167

Thanks, Alan, for providing a testing kernel and config. The changes will be applied in the next cplus kernel update.
ohw0571

ohw0571

2009-04-13 09:31

reporter   ~0009169

Using the testing kernel mentioned above, the LED can be in one out of three possible states
1. off when wlan is inactive
2. on when wlan is active
3. blinking when data is transferred
This is the expected behaviour. Undesired side effects have not been observed.

Thanks to AlanJBartlett and toracat for their speedy support!
toracat

toracat

2009-05-08 00:00

manager   ~0009321

A new CentOS-5 kernel came out today. The requested change will be made in the centosplus kernel.
toracat

toracat

2009-05-10 21:28

manager   ~0009336

@ohw0571,

The latest centosplus kernel (2.6.18-128.1.10) should contain the support for the LEDS of your hardware. Could you please test it when it becomes available? It will be out very soon now.
toracat

toracat

2009-05-12 15:50

manager   ~0009349

@ohw0571,

It's out. I would appreciate it if you could confirm that the current centosplus kernel works for your hardware.
ohw0571

ohw0571

2009-05-16 07:57

reporter   ~0009360

@toracat,

my apologies for my belated reply (was on vacation, without network access for a week)...

I am happy to confirm that the new centosplus kernel supports the LED functionality on my hardware, as expected.
This issue is solved ;)
toracat

toracat

2009-05-16 12:06

manager   ~0009361

Thank you for reporting back. Glad to hear that it is working for you.

Developers, please close/ mark resolved this ticket.
herrold

herrold

2009-07-28 16:33

reporter   ~0009673

close per toracat IRC and user report of success
range

range

2009-09-03 20:01

administrator   ~0009874

This will be available in 5.4 in the normal kernel.

Issue History

Date Modified Username Field Change
2009-04-09 21:58 ohw0571 New Issue
2009-04-10 00:53 toracat Note Added: 0009155
2009-04-10 00:57 toracat Status new => assigned
2009-04-12 12:27 AlanBartlett File Added: Intel_wifi_leds.patch
2009-04-12 12:32 AlanBartlett Note Added: 0009166
2009-04-12 14:20 toracat Note Added: 0009167
2009-04-12 14:20 toracat Projection none => minor fix
2009-04-13 09:31 ohw0571 Note Added: 0009169
2009-05-08 00:00 toracat Note Added: 0009321
2009-05-10 21:28 toracat Note Added: 0009336
2009-05-12 15:50 toracat Note Added: 0009349
2009-05-16 07:57 ohw0571 Note Added: 0009360
2009-05-16 12:06 toracat Note Added: 0009361
2009-07-28 16:33 herrold Note Added: 0009673
2009-07-28 16:33 herrold Status assigned => closed
2009-07-28 16:33 herrold Resolution open => fixed
2009-09-03 20:01 range Tag Attached: fixed in 5.4
2009-09-03 20:01 range Note Added: 0009874